%global scl_name_base go-toolset
%global scl_name_base_rpm go_toolset
%global scl_name_version 1.13

%global scl %{scl_name_base}-%{scl_name_version}

%scl_package %scl

Summary: Package that installs %scl
Name: %scl
Version: 1.13.15
Release: 1%{?dist}
License: GPLv2+
ExclusiveArch:x86_64 i686 aarch64 ppc64le s390x

Requires: %{scl}-golang
%ifarch x86_64
Requires: %{scl}-delve
%endif
BuildRequires: scl-utils-build

Obsoletes: %{scl_prefix}dockerfiles < 1.8-13

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"
export PKG_CONFIG_PATH="%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}"
if [ -z \${GOPATH+x} ]; then
export GOPATH="\`realpath ~/go\`:/opt/rh/%{scl}/root/usr/share/gocode"
else
export GOPATH="\${GOPATH:-}\${GOPATH:+:}%{_datadir}/gocode"
fi
EOF


# This allows users to build packages using Go Toolset.
cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl} << EOF
%%enable_gotoolset112 %%global ___build_pre %%{___build_pre}; source scl_source enable %{scl} || :
EOF

%files

%files runtime -f filelist
%scl_files
%{_root_sysconfdir}/rpm/macros.%{scl}

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Fri Sep 18 2020 David Benoit <dbenoit@redhat.com> - 1.13.15
- Rebase to 1.13.15
- Related: rhbz#1879236

* Wed Feb 05 2020 Alejandro Sáez <asm@redhat.com> - 1.13.4-3
- Avoid install delve on anything that is not x86_64

* Tue Feb 04 2020 Alejandro Sáez <asm@redhat.com> - 1.13.4-2
- Add delve

* Mon Dec 16 2019 Alejandro Sáez <asm@redhat.com> - 1.13.4-1
- Rebase to 1.13.4

* Tue Oct 29 2019 Derek Parker <deparker@redhat.com> - 1.12.12-4
- Include fix for boring/aes_test

* Tue Oct 29 2019 Derek Parker <deparker@redhat.com> - 1.12.12-3
- Include new golang tarball

* Tue Oct 29 2019 Derek Parker <deparker@redhat.com> - 1.12.12-2
- Include golang package fixes

* Mon Oct 28 2019 Derek Parker <deparker@redhat.com> - 1.12.12-1
- Bump to 1.12.12

* Mon Oct 28 2019 Derek Parker <deparker@redhat.com> - 1.12.8-3
- Include i686 in builds

* Wed Sep 11 2019 Alejandro Sáez <asm@redhat.com> - 1.12.6-4
- Remove scldevel package reference

* Thu Aug 29 2019 Josh Stone <jistone@redhat.com> - 1.12.8-1
- Bump version to 1.12.8
- Related: rhbz#1743205
- Related: rhbz#1743207

* Fri Aug 2 2019 Derek Parker <deparker@redhat.com> - 1.12.6-3
- Updates golang package, revert some TLS FIPS changes
- Resolves: rhbz#1734784

* Wed Jul 31 2019 Derek Parker <deparker@redhat.com> - 1.12.6-2
- Updates golang package
- Resolves: rhbz#1734784

* Thu Jun 13 2019 Derek Parker <deparker@redhat.com> - 1.12.6-1
- Rebase to 1.12.6
- Resolves: rhbz#1709604

* Tue May 14 2019 Derek Parker <deparker@redhat.com> - 1.12.5-1
- Rebase to 1.12.5
- Resolves: rhbz#1709604

* Tue May 14 2019 Derek Parker <deparker@redhat.com> - 1.12.1-4
- Bump release to trigger rebuild
- Resolves: rhbz#1709604

* Tue May 14 2019 Derek Parker <deparker@redhat.com> - 1.12.1-3
- Bump release to trigger rebuild
- Resolves: rhbz#1709604

* Tue May 14 2019 Derek Parker <deparker@redhat.com> - 1.12.1-2
- Update SCL name and macro
- Resolves: rhbz#1709604

* Tue May 14 2019 Derek Parker <deparker@redhat.com> - 1.12.1-1
- Rebase to 1.12.1 and include FIPS lab feedback changes
- Resolves: rhbz#1709604

* Tue Mar 26 2019 Derek Parker <deparker@redhat.com> - 1.11.5-2
- Rebuild for 2019.3 and improve README

* Thu Jan 31 2019 Derek Parker <deparker@redhat.com> - 1.11.5-1
- Rebase to 1.11.5

* Thu Jan 10 2019 Derek Parker <deparker@redhat.com> - 1.11.4-1
- Rebase to 1.11.4

* Tue Dec 11 2018 Derek Parker <deparker@redhat.com> - 1.11.2-1
- Rebase to 1.11.2

* Fri Oct 26 2018 Derek Parker <deparker@redhat.com> - 1.10.3-7
- Update to include fix for internal FIPS flag
- Resolves: BZ#1643652

* Wed Oct 10 2018 Derek Parker <deparker@redhat.com> - 1.10.3-6
- Update to include fix for UnreachableExceptTests bug
- Resolves: BZ#1634748

* Fri Oct 5 2018 Derek Parker <deparker@redhat.com> - 1.10.3-5
- Bump to include new golang package changes
- Resolves: BZ#1636220
- Related: BZ#1609886

* Tue Sep 25 2018 Derek Parker <deparker@redhat.com> - 1.10.3-4
- Fix GOPATH issue pointing to old go-toolset-7 SCL.
- Resolves: rhbz#1607823

* Tue Sep 25 2018 Derek Parker <deparker@redhat.com> - 1.10.3-4
- Include runtime FIPS detection patch.

* Tue Jul 31 2018 Derek Parker <deparker@redhat.com> - 1.10.3-3
- Un-revert SCL macro changes -- they actually should be applied.

* Tue Jul 31 2018 Derek Parker <deparker@redhat.com> - 1.10.3-2
- Revert RHEL8 SCL macro changes

* Tue Jul 17 2018 Derek Parker <deparker@redhat.com> - 1.10.3-1
- Rebase to 1.10.3

* Mon Jul 16 2018 Derek Parker <deparker@redhat.com> - 1.10.2-5
- Update SCL macro.

* Thu Jun 7 2018 Derek Parker <deparker@redhat.com> - 1.10.2-4
- Bump release for new golang package, providing patch for OpenSSL thread safety initialization.

* Wed Jun 6 2018 Derek Parker <deparker@redhat.com> - 1.10.2-3
- Bump for Go FIPS inclusion.

* Mon Jun 4 2018 Derek Parker <deparker@redhat.com> - 1.10.2-2
- Bump for backported test patch in golang.

* Wed May 23 2018 Derek Parker <deparker@redhat.com> - 1.10.2-1
- Bump to golang 1.10.2

* Fri Apr 6 2018 Derek Parker <deparker@redhat.com> - 1.10.1-1
- Bump to golang 1.10.1

* Thu Mar 1 2018 Derek Parker <deparker@redhat.com> - 1.8-14
- Fix issue removing nonexistent file
- Resolves: rhbz#1550079

* Tue Feb 27 2018 Derek Parker <deparker@redhat.com> - 1.8-13
- Move enable_gotoolset7 to runtime package
- Resolves: rhbz#1544492

* Tue Feb 27 2018 Derek Parker <deparker@redhat.com> - 1.8-12
- Add enable_gotoolset7 macro to make it easier to activate go-toolset-7 during package builds.

* Mon Feb 26 2018 Derek Parker <deparker@redhat.com> - 1.8-11
- Remove Dockerfiles subpackage
- Resolves: rhbz#1548034, rhbz#1521197

* Tue Oct 17 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-10
- improve enable script
- Resolves: rhbz#1501760

* Wed Oct 04 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-9
- Update docker archive

* Wed Sep 27 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-8
- NVR bump

* Wed Sep 27 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-7
- Update docker archive

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.8-6
- Add dockerfiles

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.8-5
- Add stub dockerfiles sub-package

* Thu Jun 29 2017 Jakub Čajka jcajka@redhat.com 1.8-4
- add ExclusiveArches
- Resolves: BZ#1466199

* Wed Jun 21 2017 Jakub Čajka jcajka@redhat.com 1.8-3
- fix macro definition

* Thu Jun 15 2017 Jakub Čajka jcajka@redhat.com 1.8-2
- regular build

* Wed May 10 2017 Jakub Čajka jcajka@redhat.com 1.8-1
- Initial package
